summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSaleem Abdulrasool <compnerd@gentoo.org>2007-01-24 18:20:01 +0000
committerSaleem Abdulrasool <compnerd@gentoo.org>2007-01-24 18:20:01 +0000
commitc58a490afbc697d194f6b77d421e85be8af0cbf5 (patch)
tree21a8fb3d012839f885bf07ee3768669a1e810c33 /eclass
parentStable for HPPA (bug #143378). (diff)
downloadgentoo-2-c58a490afbc697d194f6b77d421e85be8af0cbf5.tar.gz
gentoo-2-c58a490afbc697d194f6b77d421e85be8af0cbf5.tar.bz2
gentoo-2-c58a490afbc697d194f6b77d421e85be8af0cbf5.zip
add patch from solar to kill gconfd only if active
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2-utils.eclass11
1 files changed, 7 insertions, 4 deletions
diff --git a/eclass/gnome2-utils.eclass b/eclass/gnome2-utils.eclass
index ce4a17f41d1d..70171ac8541b 100644
--- a/eclass/gnome2-utils.eclass
+++ b/eclass/gnome2-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2-utils.eclass,v 1.2 2007/01/01 22:27:01 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2-utils.eclass,v 1.3 2007/01/24 18:20:01 compnerd Exp $
#
# gnome2-utils.eclass
@@ -52,9 +52,12 @@ gnome2_gconf_install() {
done
# have gconf reload the new schemas
- ebegin "Reloading GConf schemas"
- killall -HUP gconfd-2
- eend $?
+ pids=$(pidof gconfd-2)
+ if [[ $? == 0 ]] ; then
+ ebegin "Reloading GConf schemas"
+ kill -HUP ${pids}
+ eend $?
+ fi
}